CMSIS-Driver: IP Addresses

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
IP Addresses
Defines and Structs

IP address related structs. More...

## Data Structures

struct | vioAddrIPv4_t
| IPv4 Internet Address. More...
struct | vioAddrIPv6_t
| IPv6 Internet Address. More...

## Description

IP address related structs.

## Data Structure Documentation

struct vioAddrIPv4_t

IPv4 Internet Address.

Structure holding IPv4 addresses.

Parameter for:

- vioGetIPv4
- vioSetIPv4

Data Fields
uint8_t | addr[4] | IPv4 address value used in vioSetIPv4 / vioGetIPv4.

struct vioAddrIPv6_t

IPv6 Internet Address.

Structure holding IPv6 addresses.

Parameter for:

- vioGetIPv6
- vioSetIPv6

Data Fields
uint8_t | addr[16] | IPv6 address value used in vioSetIPv6 / vioGetIPv6.